#include <msp430.h> 

void setup(void);

char flag = 0, color = 0;

/**
 * main.c
 */
int main(void)
{
    WDTCTL = WDTPW | WDTHOLD;   // stop watchdog timer

    setup();
    while(1);
}

#pragma vector = TIMER0_A1_VECTOR
__interrupt void timerISR(){

    static int flag = 0;

    flag++;

    if(flag % 2 == 0){
        while (!(UCA1IFG & UCTXIFG));
            if(color == 2)
                color = 0;
            UCA1TXBUF = color;
            color++;
    }

    TA0CTL &= ~TAIFG;

}

#pragma vector = PORT1_VECTOR
__interrupt void p1Isr(void)
{

    TA0CTL |= MC_1;
    P1IFG &= ~ BIT1;
}

void timer(){

    TA0CTL = TASSEL_2;
    TA0CTL |= MC_0;
    TA0CTL |= ID_3;

    TA0CCR0 = 62500;

    TA0CTL &= ~TAIFG;
    TA0CTL |= TAIE;

    return;
}

void setup(void) {

    timer();
    //USCI UART configuration
    P4SEL = BIT4 + BIT5;
    UCA1CTL1 |= UCSWRST;
    UCA1CTL1 |= UCSSEL_2;
    UCA1BR0 = 109;
    UCA1BR1 = 0;
    UCA1MCTL = UCBRS_2 + UCBRF_0;
    UCA1CTL1 &= ~ UCSWRST;

    P1DIR &= ~ BIT1;
    P1REN |= BIT1;
    P1OUT |= BIT1;

    P1IES |= BIT1;
    P1IE |= BIT1;
    __enable_interrupt();

}
